| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterPropertyList_t::const_iterator Class Reference

`#include <ParameterTypes.hpp>`

## Public Types

typedef const_iterator | self_type
typedef const ParameterProperty_t | value_type
typedef const ParameterProperty_t & | reference
typedef const ParameterProperty_t * | pointer
typedef size_t | difference_type
typedef std::forward_iterator_tag | iterator_category

## Public Member Functions

| const_iterator (const fastdds::rtps::octet *ptr)
| Constructor using a pointer.
self_type | operator++ ()
self_type | operator++ (int)
reference | operator* ()
pointer | operator-> ()
bool | operator== (const self_type &rhs) const
bool | operator!= (const self_type &rhs) const

## Protected Member Functions

void | advance ()
| Shift the pointer to the next value.
const fastdds::rtps::octet * | address () const
| Getter for the pointer.

## Member Typedef Documentation

## ◆ difference_type

typedef size_t difference_type

## ◆ iterator_category

typedef std::forward_iterator_tag iterator_category

## ◆ pointer

typedef const ParameterProperty_t* pointer

## ◆ reference

typedef const ParameterProperty_t& reference

## ◆ self_type

typedef const_iterator self_type

## ◆ value_type

typedef const ParameterProperty_t value_type

## Constructor & Destructor Documentation

## ◆ const_iterator()

const_iterator | ( | const fastdds::rtps::octet * | ptr | ) |

inline

Constructor using a pointer.

Parameters

  ptr | Pointer to be set

## Member Function Documentation

## ◆ address()

const fastdds::rtps::octet * address | ( |  | ) | const

inline protected

Getter for the pointer.

Returns
  the pointer

## ◆ advance()

void advance | ( |  | ) |

inline protected

Shift the pointer to the next value.

## ◆ operator!=()

bool operator!= | ( | const self_type & | rhs | ) | const

inline

## ◆ operator*()

reference operator* | ( |  | ) |

inline

## ◆ operator++() [1/2]

self_type operator++ | ( |  | ) |

inline

## ◆ operator++() [2/2]

self_type operator++ | ( | int |  | ) |

inline

## ◆ operator->()

pointer operator-> | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const self_type & | rhs | ) | const

inline

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp